Last Comment Bug 687958 - I'm unable to keyboard to "continue anyway" from the untrusted site page.
: I'm unable to keyboard to "continue anyway" from the untrusted site page.
Status: RESOLVED FIXED
: access
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- major (vote)
: Firefox 13
Assigned To: Dão Gottwald [:dao]
:
Mentors:
Depends on: 742645
Blocks: 431826
  Show dependency treegraph
 
Reported: 2011-09-20 12:15 PDT by Janina Sajka
Modified: 2012-04-05 05:45 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (19.27 KB, patch)
2012-03-07 07:08 PST, Dão Gottwald [:dao]
mak77: review+
Details | Diff | Review

Description Janina Sajka 2011-09-20 12:15:50 PDT
User Agent: Mozilla/5.0 (X11; Linux x86_64; rv:6.0.2) Gecko/20100101 Firefox/6.0.2
Build ID: 20110906120836



Actual results:

Unable to recall my password, I requested a reset from Hurricane Electric's tunnelbroker.net page. When I accessed the https address they provided via email I recieved Firefox's "untrusted site" page. I could only keyboard to the "get me out of here" button. I couldn't keyboard to a button that would allow me to continue to connect. Fortunately for me, I was able to use lynx to solve this problem, but I should have been able to use FF, as I have always done in the past. This seems new with FF6. I'm on Fedora 15 with AT-SPI2 and Orca, so must be able to keyboard. Mouse is impossible for me.
Comment 1 alexander :surkov 2011-09-20 22:16:50 PDT
Janina, by 'to keyboard' you means tabbing, virtual buffer navigation or something else?
Comment 2 Marco Zehe (:MarcoZ) 2011-09-21 00:30:17 PDT
Yes, tabbing. Orca doesn't have a virtual buffer.
Comment 3 alexander :surkov 2011-09-21 01:23:52 PDT
(In reply to Marco Zehe (:MarcoZ) from comment #2)
> Yes, tabbing. Orca doesn't have a virtual buffer.

then it's keyboard navigation bug I think
Comment 4 Tim (fmdeveloper) 2011-10-24 16:05:17 PDT
Still an issue with latest nightly. Confirming
Comment 5 Janina Sajka 2012-03-06 11:46:56 PST
Hi, I need to confirm this is still a bug. I'm currently at IBM in Austin in a W3C Face to Face. It seems the SSL cert for the IBMVISITOR wifi service has expired, so triggers the "untrusted site" screen. I can only TAB to "GET ME OUT OF HERE." i ASKED ONE OF MY COMMITTEE COLLEAGUES TO MOUSE TO "cONTINUE ANYWAY," OR WHATEVER IT'S CALLED. tHEREAFTER, EVERYTHING WORKS ok. bUT, BY MYSELF, i'D HAVE BEEN FULLY BLOCKED AT THAT POINT.
Comment 6 alexander :surkov 2012-03-06 19:15:40 PST
Enn, Mats, a tabbing issue. Would you please take a look?
Comment 7 Neil Deakin 2012-03-07 05:57:04 PST
Nothing to do with either of us. The dialog has some poorly designed expander widgets that aren't accessible.
Comment 8 alexander :surkov 2012-03-07 05:59:05 PST
(In reply to Neil Deakin from comment #7)
> Nothing to do with either of us. The dialog has some poorly designed
> expander widgets that aren't accessible.

mm, ok, maybe Dao could help?
Comment 9 Dão Gottwald [:dao] 2012-03-07 07:08:51 PST
Created attachment 603709 [details] [diff] [review]
patch
Comment 10 Marco Bonardo [::mak] 2012-03-08 01:43:45 PST
Comment on attachment 603709 [details] [diff] [review]
patch

Review of attachment 603709 [details] [diff] [review]:
-----------------------------------------------------------------

thanks!
Comment 12 Marco Bonardo [::mak] 2012-03-09 05:08:15 PST
https://hg.mozilla.org/mozilla-central/rev/501247d9125c
Comment 13 Hector Zhao [:hectorz] 2012-04-04 22:29:00 PDT
Hi, looks like this revision regressed https://hg.mozilla.org/mozilla-central/rev/290d329672e5 . Only the h2 is removed now, instead of the whole expert content.

Sorry if I'm not supposed to comment a fixed bug.
Comment 14 alexander :surkov 2012-04-04 22:51:28 PDT
(In reply to Hector Zhao [:hector_zhao] from comment #13)
> Hi, looks like this revision regressed
> https://hg.mozilla.org/mozilla-central/rev/290d329672e5 . Only the h2 is
> removed now, instead of the whole expert content.
> 
> Sorry if I'm not supposed to comment a fixed bug.

please file a new bug and make sure to cc Dao.

Note You need to log in before you can comment on or make changes to this bug.